Package org.apache.sling.tenant.internal.console

# Class WebConsolePlugin

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.sling.tenant.internal.console.WebConsolePlugin

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class WebConsolePlugin extends javax.servlet.http.HttpServlet
This is a webconsole plugin displaying the active queues, some statistics and the configurations.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WebConsolePlugin(org.osgi.framework.BundleContext bundleContext, org.apache.sling.tenant.internal.TenantProviderImpl tenantProvider, org.apache.sling.xss.XSSAPI xss)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`protected void`
`doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected void`
`doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebConsolePlugin

public WebConsolePlugin(org.osgi.framework.BundleContext bundleContext, org.apache.sling.tenant.internal.TenantProviderImpl tenantProvider, org.apache.sling.xss.XSSAPI xss)

## Method Details

### dispose

public void dispose()

### doPost

protected void doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp) throws IOException

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `IOException`

### doGet

protected void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res) throws IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `IOException`